Package be.cin.mycarenet._1_0.carenet.types

# Class CareReceiverStrictIdType

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.CareReceiverStrictIdType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExtCareReceiverStrictIdType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class CareReceiverStrictIdType extends Object implements Serializable

Java class for CareReceiverStrictIdType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareReceiverStrictIdType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Inss" type="{urn:be:cin:mycarenet:1.0:carenet:types}InssType" minOccurs="0"/>
             <element name="RegNrWithMut" type="{urn:be:cin:mycarenet:1.0:carenet:types}RegNrWithMutType" minOccurs="0"/>
             <element name="Mutuality" type="{urn:be:cin:mycarenet:1.0:carenet:types}MutualityType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CareReceiverStrictIdType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInss()`
  Gets the value of the inss property.
  `String`
  `getMutuality()`
  Gets the value of the mutuality property.
  `String`
  `getRegNrWithMut()`
  Gets the value of the regNrWithMut property.
  `void`
  `setInss(String value)`
  Sets the value of the inss property.
  `void`
  `setMutuality(String value)`
  Sets the value of the mutuality property.
  `void`
  `setRegNrWithMut(String value)`
  Sets the value of the regNrWithMut property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CareReceiverStrictIdType

    public CareReceiverStrictIdType()

- ## Method Details

  - ### getInss

    public String getInss()
    Gets the value of the inss property.
    Returns:
      possible object is `String`

  - ### setInss

    public void setInss(String value)
    Sets the value of the inss property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRegNrWithMut

    public String getRegNrWithMut()
    Gets the value of the regNrWithMut property.
    Returns:
      possible object is `String`

  - ### setRegNrWithMut

    public void setRegNrWithMut(String value)
    Sets the value of the regNrWithMut property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMutuality

    public String getMutuality()
    Gets the value of the mutuality property.
    Returns:
      possible object is `String`

  - ### setMutuality

    public void setMutuality(String value)
    Sets the value of the mutuality property.
    Parameters:
      `value` - allowed object is `String`